from setuptools import setup, find_packages

setup(
    name="betabageldb",
    version="0.1.8",
    description="BagelDB is a Python library for interacting with the BagelDB API.",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    author="Bidhan Roy",
    author_email="bidhan@bageldb.ai",
    url="https://github.com/Bagel-DB/Client",
    packages=find_packages(),
    install_requires=[
        "annotated-types==0.5.0",
        "backoff==2.2.1",
        "certifi==2023.5.7",
        "charset-normalizer==3.2.0",
        "colorama==0.4.6",
        "coloredlogs==15.0.1",
        "flatbuffers==23.5.26",
        "graphlib-backport==1.0.3",
        "humanfriendly==10.0",
        "idna==3.4",
        "monotonic==1.6",
        "mpmath==1.3.0",
        "numpy==1.24.4",
        "onnxruntime==1.15.1",
        "overrides==7.3.1",
        "packaging==23.1",
        "pandas==1.3.5",
        "posthog==3.0.1",
        "protobuf==4.23.4",
        "pydantic==1.10.10",
        "pydantic-core==2.1.2",
        "pyreadline3==3.4.1",
        "python-dateutil==2.8.2",
        "pytz==2023.3",
        "requests==2.28.2",
        "six==1.16.0",
        "sympy==1.12",
        "tokenizers==0.13.3",
        "tqdm==4.65.0",
        "typing-extensions==4.6.3",
        "urllib3==1.26.16"
    ],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
    ],
)
